## links2 2.12

=== graphics/Makefile ===
CFLAGS=-g -Wall -O2
#-Wno-pointer-sign
LDFLAGS=

all: improcess genps pbm2png clip generate_font arrow

clean:
	rm -f improcess genps core pbm2png clip generate_font arrow

improcess: improcess.c
	gcc -o improcess improcess.c $(CFLAGS) $(LDFLAFGS) -lpng -lz -lm

pbm2png: pbm2png.c
	gcc -o pbm2png pbm2png.c $(CFLAGS) $(LDFLAGS) -lpng -lz -lm

genps: genps.c
	gcc -o genps genps.c $(CFLAGS) $(LDFLAGS)

clip: clip.c
	gcc -o clip clip.c $(CFLAGS) $(LDFLAGS)

generate_font: generate_font.c
	gcc -o generate_font generate_font.c $(CFLAGS) $(LDFLAGS) -lpng -lz -lm

arrow: arrow.c
	gcc -o arrow arrow.c $(CFLAGS) $(LDFLAGS) -lpng -lz -lm

=== debian/changelog ===
links2 (2.12-2) unstable; urgency=medium

  * Enable all hardening flags.
  * Remove no more needed spelling-error-in-binary lintian overrides.
  * Add new spelling-error-in-binary lintian override for "NAm" (not found
    in source, likely part of a symbol or such).
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)
  * Switch Vcs-Git header from git:// to https://.
  * Override lintian warning about deprecated configure filename: Upstream
    refused to rename configure.in to configure.ac.
  * Add patch to fix typo in error message found by lintian.

 -- Axel Beckert <abe@debian.org>  Fri, 06 May 2016 01:22:15 +0200

links2 (2.12-1) unstable; urgency=medium

  * New upstream release.
    + Upload to unstable again.

 -- Axel Beckert <abe@debian.org>  Thu, 24 Sep 2015 01:28:24 +0200

links2 (2.11.1-1) experimental; urgency=low

  * New upstream pre-release.
    + Now supports SSL client certificates, even with encrypted key!
    + Drop patch reproducible-build.diff, applied upstream.
    + Drop patch links-client-certs.diff, feature implemented upstream.
    + Refresh patch links2-instead-of-links.diff.

 -- Axel Beckert <abe@debian.org>  Fri, 11 Sep 2015 01:52:16 +0200

links2 (2.11-1) unstable; urgency=medium

  * New upstream release.
    + Remove patch verify-ssl-certs-510417.diff. Solved upstream in a
      better way.
    + Refresh the remaining patches were necessary. Thanks for Mikulas
      Patocka for adapting links-client-certs.diff to match 2.11's SSL
      certificate verification code.

 -- Axel Beckert <abe@debian.org>  Thu, 03 Sep 2015 20:26:12 +0200

=== debian/control ===
Source: links2
Section: web
Priority: optional
Maintainer: Axel Beckert <abe@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 9~),
               dh-exec,
               libbz2-dev,
               libdirectfb-dev,
               libevent-dev,
               libgpm-dev [linux-any],
               libjpeg-dev,
               liblzma-dev,
               libpng-dev,
               librsvg2-dev,
               libsdl1.2-dev,
               libssl-dev,
               libtiff-dev,
               libx11-dev,
               libxau-dev,
               libxdmcp-dev,
               libxt-dev
Standards-Version: 3.9.8
Homepage: http://links.twibright.com/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/links2.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/links2.git

Package: links2
Architecture: any
Provides: www-browser
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: xterm | x-terminal-emulator
Description: Web browser running in both graphics and text mode
 Links is a graphics and text mode WWW browser, similar to Lynx. It displays
 tables, frames, downloads on background, uses HTTP/1.1 keepalive connections.
 In graphics mode it displays PNG, JPEG, GIF, TIFF, and XBM pictures, runs
 external bindings on other types, and features anti-aliased font, smooth
 image zooming, 48-bit dithering, and gamma and aspect ratio correction.

Package: links
Architecture: any
Provides: www-browser
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Web browser running in text mode
 Links is a text mode WWW browser, similar to Lynx. It displays tables,
 frames, downloads on background, uses HTTP/1.1 keepalive connections.
 .
 This version is compiled without graphics mode. See the package
 links2 for a version with graphics support compiled in.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# configure seem to fail to add this since 2.9
export DEB_LDFLAGS_MAINT_APPEND=-lpthread
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --parallel --with autotools-dev

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-graphics \
		--with-x \
		--with-fb

override_dh_auto_install:
	dh_auto_install
	# rename links.1 and links to links2.1 and links2
	mv $(CURDIR)/debian/tmp/usr/bin/links \
           $(CURDIR)/debian/tmp/usr/bin/links2
	mv $(CURDIR)/debian/tmp/usr/share/man/man1/links.1 \
           $(CURDIR)/debian/tmp/usr/share/man/man1/links2.1

#	build the textmode only version
	dh_auto_configure -- \
		--without-libevent \
		--without-svgalib \
		--without-x --without-fb \
		--without-directfb \
		--without-libjpeg \
		--without-librsvg \
		--without-libtiff
	dh_auto_install
	# Fix "links2" occurrences in links' man-page, see #602228
	sed -z \
	    -e 's/\([^.]\)\(links\)2/\1\2/gi;s/\\f3-g\\f1.*\\f3-force-html\\f1/\\f3-force-html\\f1/' \
	    -i $(CURDIR)/debian/tmp/usr/share/man/man1/links.1

## links2 2.13

=== debian/changelog ===
links2 (2.13-1) unstable; urgency=medium

  * New upstream release
    + Supports OpenSSL 1.1.0. (Closes: #828422)
    + Refresh patches where necessary.
    + debian/copyright: Add MPL-2.0 for suffix/public_suffix_list.dat
    + Remove no more needed lintian override of spelling-error-in-binary.
  * Add patch to use packaged version of publicsuffix instead embedded
    one. (It's updated more often than there's a new Links 2 release.)
    + Add build-dependency on publicsuffix.
    + Add a Built-Using header with the version of publicsuffix used for
      building the binary packages since its data is compiled into them.

 -- Axel Beckert <abe@debian.org>  Fri, 01 Jul 2016 19:19:06 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,8 @@
                libx11-dev,
                libxau-dev,
                libxdmcp-dev,
-               libxt-dev
+               libxt-dev,
+               publicsuffix
 Standards-Version: 3.9.8
 Homepage: http://links.twibright.com/
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/links2.git
@@ -31,6 +32,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Recommends: xterm | x-terminal-emulator
+Built-Using: ${Built-Using}
 Description: Web browser running in both graphics and text mode
  Links is a graphics and text mode WWW browser, similar to Lynx. It displays
  tables, frames, downloads on background, uses HTTP/1.1 keepalive connections.
@@ -43,6 +45,7 @@
 Provides: www-browser
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Built-Using: ${Built-Using}
 Description: Web browser running in text mode
  Links is a text mode WWW browser, similar to Lynx. It displays tables,
  frames, downloads on background, uses HTTP/1.1 keepalive connections.

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 # configure seem to fail to add this since 2.9
 export DEB_LDFLAGS_MAINT_APPEND=-lpthread
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
+BUILT_USING=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W publicsuffix)
 
 %:
 	dh $@ --parallel --with autotools-dev
@@ -38,3 +40,6 @@
 	sed -z \
 	    -e 's/\([^.]\)\(links\)2/\1\2/gi;s/\\f3-g\\f1.*\\f3-force-html\\f1/\\f3-force-html\\f1/' \
 	    -i $(CURDIR)/debian/tmp/usr/share/man/man1/links.1
+
+override_dh_gencontrol:
+	dh_gencontrol -a -- -VBuilt-Using="$(BUILT_USING)"

## links2 2.14

=== debian/changelog ===
links2 (2.14-5build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 23:22:39 +0000

links2 (2.14-5) unstable; urgency=low

  * Set "Rules-Requires-Root: no".
  * Remove trailing whitespace from ancient debian/changelog entry.
  * Declare compliance with Debian Policy 4.1.1. (No changes needed.)
  * Bump debhelper compatibility to 10
    + Update versioned debhelper build-dependency
    + Remove explicit build-dependency on autotools-dev
    + Remove "--parallel --with autotools-dev" from debian/rules.
    + Remove config.log again explicitly, now via debian/clean.
    + Add patch against configure.in to fix FTBFS when running autoreconf.
    + Use out-of-tree builds to cope with dh's new command state tracking.

 -- Axel Beckert <abe@debian.org>  Sun, 12 Nov 2017 04:54:16 +0100

links2 (2.14-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Mark links and links2 Multi-Arch: foreign. (Closes: #876249)

  [ Axel Beckert ]
  * Declare compliance with Debian Policy 4.1.0.

 -- Axel Beckert <abe@debian.org>  Thu, 21 Sep 2017 01:00:36 +0200

links2 (2.14-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Tell ancient configure about the correct CC. (Closes:
    #861335)

  [ Mikulas Patocka ]
  * Fix read out of memory in case of corrupted UTF-8 data. (Closes:
    #870299, CVE-2017-11114)

  [ Axel Beckert ]
  * Add lintian override for not misspelled French word "rouge".
  * Declare compliance with Debian Policy 4.0.1.
    + Switch debian copyright format declaration to HTTPS URL.
    + Replace full text of MPL 2.0 with pointer to
      /usr/share/common-licenses/MPL-2.0.

 -- Axel Beckert <abe@debian.org>  Sun, 06 Aug 2017 16:45:50 +0200

links2 (2.14-2) unstable; urgency=medium

  * Recommend ca-certificates. Thanks Mikulas Patocka for the hint!
  * Extend patch fix-typos.diff with more typos found by Lintian.
  * Add lintian overrides for spelling-error-in-binary false
    positives. ("Autorisation" is French for "Authorisation" and "konW" is
    part of a compiled in font.)

 -- Axel Beckert <abe@debian.org>  Mon, 09 Jan 2017 02:55:16 +0100

links2 (2.14-1) unstable; urgency=low

  [ Axel Beckert ]
  * Import new upstream release
    + Supports fourth and fifth mouse button in gpm and
      framebuffer. (Addresses: #127319)
    + Fixes crash when pressing Ctrl-G on a form field. (Closes: #842213)
    + Refresh patches where necessary.

  [ Pino Toscano ]
  * Update links2.desktop: the 'Keywords' key is a list, so it must end
    with the list separator (';'). (Closes: #812486)

 -- Axel Beckert <abe@debian.org>  Wed, 07 Dec 2016 02:44:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: links2
 Section: web
 Priority: optional
-Maintainer: Axel Beckert <abe@debian.org>
-Build-Depends: autotools-dev,
-               debhelper (>= 9~),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Axel Beckert <abe@debian.org>
+Build-Depends: debhelper (>= 10),
                dh-exec,
                libbz2-dev,
                libdirectfb-dev,
@@ -21,17 +21,20 @@
                libxdmcp-dev,
                libxt-dev,
                publicsuffix
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://links.twibright.com/
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/links2.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/links2.git
+Rules-Requires-Root: no
 
 Package: links2
 Architecture: any
+Multi-Arch: foreign
 Provides: www-browser
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: xterm | x-terminal-emulator
+Recommends: ca-certificates,
+            xterm | x-terminal-emulator
 Built-Using: ${Built-Using}
 Description: Web browser running in both graphics and text mode
  Links is a graphics and text mode WWW browser, similar to Lynx. It displays
@@ -42,9 +45,11 @@
 
 Package: links
 Architecture: any
+Multi-Arch: foreign
 Provides: www-browser
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Recommends: ca-certificates
 Built-Using: ${Built-Using}
 Description: Web browser running in text mode
  Links is a text mode WWW browser, similar to Lynx. It displays tables,

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

# configure seem to fail to add this since 2.9
export DEB_LDFLAGS_MAINT_APPEND=-lpthread
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

BUILT_USING=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W publicsuffix)

ifeq ($(origin CC),default)
export CC := $(DEB_HOST_GNU_TYPE)-gcc
endif

%:
	dh $@

override_dh_auto_configure:
#	build the full-featured version
	dh_auto_configure -Bbuild-links2 -- \
		--enable-graphics \
		--with-x \
		--with-fb

#	build the textmode only version
	dh_auto_configure -Bbuild-links -- \
		--without-libevent \
		--without-svgalib \
		--without-x --without-fb \
		--without-directfb \
		--without-libjpeg \
		--without-librsvg \
		--without-libtiff

override_dh_auto_install:
	dh_auto_install -Bbuild-links2
	# rename links.1 and links to links2.1 and links2
	mv $(CURDIR)/debian/tmp/usr/bin/links \
           $(CURDIR)/debian/tmp/usr/bin/links2
	mv $(CURDIR)/debian/tmp/usr/share/man/man1/links.1 \
           $(CURDIR)/debian/tmp/usr/share/man/man1/links2.1

	dh_auto_install -Bbuild-links
	# Fix "links2" occurrences in links' man-page, see #602228
	sed -z \
	    -e 's/\([^.]\)\(links\)2/\1\2/gi;s/\\f3-g\\f1.*\\f3-force-html\\f1/\\f3-force-html\\f1/' \
	    -i $(CURDIR)/debian/tmp/usr/share/man/man1/links.1

override_dh_gencontrol:
	dh_gencontrol -a -- -VBuilt-Using="$(BUILT_USING)"

## links2 2.16

=== debian/changelog ===
links2 (2.16-1) unstable; urgency=low

  * Declare compliance with Debian Policy 4.1.5. (No changes needed.)
  * Import upstream version 2.16.
    + Supports international domain names.
    + Enable the newly supported lzip and brotli compression algorithms by
      adding the according build-dependencies.
    + Fixes CVE-2017-11114, drop according patch.
    + Drop fix-typos.diff, applied upstream.
    + Rewrite use-local-calibration-files.diff from scratch.
    + Refresh remaining patches as necessary.
    + Add debian/NEWS to make aware of the fact that Links 2 now ships its
      own list of Certificate Authorities Root Certificates.
    + Make sure all build-dependencies are found: Explicitly set
      $PKG_CONFIG.
  * Drop lintian overrides for no more emitted tags.
  * Update copyright years in debian/copyright.
  * Move packaging git repository to Salsa and update Vcs-* headers.
  * Bump debhelper compatibility level to 11.
    + Update versioned debhelper build-dependency accordingly.

 -- Axel Beckert <abe@debian.org>  Tue, 10 Jul 2018 01:05:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: links2
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper (>= 10),
+Maintainer: Axel Beckert <abe@debian.org>
+Build-Depends: debhelper (>= 11~),
                dh-exec,
+               libbrotli-dev,
                libbz2-dev,
                libdirectfb-dev,
                libevent-dev,
                libgpm-dev [linux-any],
                libjpeg-dev,
+               liblz-dev,
                liblzma-dev,
                libpng-dev,
                librsvg2-dev,
@@ -21,10 +22,10 @@
                libxdmcp-dev,
                libxt-dev,
                publicsuffix
-Standards-Version: 4.1.1
+Standards-Version: 4.1.5
 Homepage: http://links.twibright.com/
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/links2.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/links2.git
+Vcs-Browser: https://salsa.debian.org/debian/links2
+Vcs-Git: https://salsa.debian.org/debian/links2.git
 Rules-Requires-Root: no
 
 Package: links2

## links2 2.17

=== debian/changelog ===
links2 (2.17-1~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.
  * Revert to debhelper 10 compat to ease backports.
  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 14 Nov 2018 13:41:36 -0800

links2 (2.17-1) unstable; urgency=medium

  * Import upstream version 2.17.
    + Refresh patches where necessary.
  * Update lintian overrides for false positives due to translations.
  * Declare compliance with Debian Policy 4.2.1. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Sun, 30 Sep 2018 05:45:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: links2
 Section: web
 Priority: optional
-Maintainer: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper (>= 11~),
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Axel Beckert <abe@debian.org>
+Build-Depends: debhelper (>= 10~),
                dh-exec,
                libbrotli-dev,
                libbz2-dev,
@@ -22,7 +23,7 @@
                libxdmcp-dev,
                libxt-dev,
                publicsuffix
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Homepage: http://links.twibright.com/
 Vcs-Browser: https://salsa.debian.org/debian/links2
 Vcs-Git: https://salsa.debian.org/debian/links2.git

## links2 2.18

=== debian/changelog ===
links2 (2.18-2) unstable; urgency=low

  * Cherry-pick patch from upstream to fix crash on invalid IDN
    URL. (Closes: #926674)

 -- Axel Beckert <abe@debian.org>  Mon, 08 Apr 2019 21:28:08 +0200

links2 (2.18-1) unstable; urgency=medium

  * Import new upstream release 2.18.
    + Refresh patches where necessary.
  * Declare compliance with Debian Policy 4.3.0. (No changes needed.)
  * Bump debhelper compatibility level to 12.
    + Replace debian/compat with a versioned b-d on debhelper-compat.

 -- Axel Beckert <abe@debian.org>  Wed, 23 Jan 2019 01:58:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: links2
 Section: web
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper (>= 10~),
+Maintainer: Axel Beckert <abe@debian.org>
+Build-Depends: debhelper-compat (= 12),
                dh-exec,
                libbrotli-dev,
                libbz2-dev,
@@ -23,7 +22,7 @@
                libxdmcp-dev,
                libxt-dev,
                publicsuffix
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: http://links.twibright.com/
 Vcs-Browser: https://salsa.debian.org/debian/links2
 Vcs-Git: https://salsa.debian.org/debian/links2.git

## links2 2.19

=== debian/changelog ===
links2 (2.19-2) unstable; urgency=medium

  * Upload to unstable again.
  * Add a DEP12 upstream metadata file.
  * Declare compliance with Debian Policy 4.4.0. (No changes needed.)
  * Update some of the spelling-error-in-binary lintian overrides.

 -- Axel Beckert <abe@debian.org>  Mon, 08 Jul 2019 01:26:26 +0200

links2 (2.19-1) experimental; urgency=low

  * Import new upstream release 2.19.
    + Add build-dependencies on libfreetype6-dev and libfontconfig1-dev.
    + Drop cherry-picked patch fix-crash-on-invalid-idn-url.patch.
    + Add more lintian overrides for false-postives due to translations.
  * Upload to experimental only during Buster freeze.

 -- Axel Beckert <abe@debian.org>  Mon, 08 Apr 2019 21:58:25 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,8 @@
                libbz2-dev,
                libdirectfb-dev,
                libevent-dev,
+               libfontconfig1-dev,
+               libfreetype6-dev,
                libgpm-dev [linux-any],
                libjpeg-dev,
                liblz-dev,
@@ -22,7 +24,7 @@
                libxdmcp-dev,
                libxt-dev,
                publicsuffix
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: http://links.twibright.com/
 Vcs-Browser: https://salsa.debian.org/debian/links2
 Vcs-Git: https://salsa.debian.org/debian/links2.git

## links2 2.20.2

=== debian/changelog ===
links2 (2.20.2-1) unstable; urgency=medium

  * Import new upstream bugfix release 2.20.2.
  * Declare compliance with Debian Policy 4.4.1. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Tue, 01 Oct 2019 00:09:31 +0200

links2 (2.20.1-1) unstable; urgency=medium

  * Import new bugfix upstream release 2.20.1.
    + Refresh patch x-terminal-emulator-instead-of-xterm.diff.

 -- Axel Beckert <abe@debian.org>  Sun, 08 Sep 2019 18:20:56 +0200

links2 (2.20-1) unstable; urgency=high

  * Import new upstream release 2.20.
    + Fixes tor-only security issue: real DNS request were leaked outside
      the tor network if a displayed page contained <link
      rel="dns-prefetch" href="http://…/">. Issue found by Shi Tian.
    + Refresh x-terminal-emulator-instead-of-xterm.diff and
      links2-instead-of-links.diff.
    + Add build-dependency on libzstd-dev.
  * Add more lintian overrides for compiled-in translations.

 -- Axel Beckert <abe@debian.org>  Thu, 29 Aug 2019 00:12:14 +0200

=== debian/control ===
--- 
+++ 
@@ -23,8 +23,9 @@
                libxau-dev,
                libxdmcp-dev,
                libxt-dev,
+               libzstd-dev,
                publicsuffix
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: http://links.twibright.com/
 Vcs-Browser: https://salsa.debian.org/debian/links2
 Vcs-Git: https://salsa.debian.org/debian/links2.git

=== debian/watch ===
version=3
opts=uversionmangle=s/pre/~pre/ \
http://links.twibright.com/download/ links-([\d\.a-z]+)\.tar\.(?:bz2|gz)

## links2 2.21

=== debian/changelog ===
links2 (2.21-0.1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 02 Sep 2020 19:21:15 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: links2
 Section: web
 Priority: optional
-Maintainer: Axel Beckert <abe@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Axel Beckert <abe@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-exec,
                libbrotli-dev,
@@ -35,10 +36,8 @@
 Architecture: any
 Multi-Arch: foreign
 Provides: www-browser
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: ca-certificates,
-            xterm | x-terminal-emulator
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: ca-certificates, xterm | x-terminal-emulator
 Built-Using: ${Built-Using}
 Description: Web browser running in both graphics and text mode
  Links is a graphics and text mode WWW browser, similar to Lynx. It displays
@@ -51,8 +50,7 @@
 Architecture: any
 Multi-Arch: foreign
 Provides: www-browser
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: ca-certificates
 Built-Using: ${Built-Using}
 Description: Web browser running in text mode

=== debian/rules ===
--- 
+++ 
@@ -20,13 +20,13 @@
 
 override_dh_auto_configure:
 #	build the full-featured version
-	dh_auto_configure -Bbuild-links2 -- \
+	env PKG_CONFIG=`which pkg-config` dh_auto_configure -Bbuild-links2 -- \
 		--enable-graphics \
 		--with-x \
 		--with-fb
 
 #	build the textmode only version
-	dh_auto_configure -Bbuild-links -- \
+	env PKG_CONFIG=`which pkg-config` dh_auto_configure -Bbuild-links -- \
 		--without-libevent \
 		--without-svgalib \
 		--without-x --without-fb \
@@ -51,3 +51,6 @@
 
 override_dh_gencontrol:
 	dh_gencontrol -a -- -VBuilt-Using="$(BUILT_USING)"
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## links2 2.21.1

=== debian/changelog ===
links2 (2.21.1-1.0antix1) unstable; urgency=medium

  * antiX buster build

 -- anticapitalista <antix@operamail.com>  Thu, 06 Aug 2020 12:31:36 +0300

links2 (2.20.2-1.antix1) unstable; urgency=medium

  * antiX buster build 

 -- anticapitalista <antix@operamail.com>  Wed, 15 Jan 2020 00:52:31 +0200

## links2 2.22

=== debian/changelog ===
links2 (2.22-0.1~mx19+1) mx; urgency=medium

  * Import new upstream bugfix release 2.22.
  * Revert to dh-compat=12.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 21 Mar 2021 07:58:44 -0700

links2 (2.21-1) unstable; urgency=medium

  * Import new upstream bugfix release 2.21.
  * Update lintian overrides wrt. to updated spell checks.
  * Declare compliance with Debian Policy 4.5.0. (No changes needed.)
  * Bump debhelper compatibility level to 13.
  * Declare x-terminal-emulator-instead-of-xterm.diff as debian-specific.
  * List changelog in debian/upstream/metadata.
  * Add lintian overrides for calibration files beinng reported by
    package-contains-documentation-outside-usr-share-doc.

 -- Axel Beckert <abe@debian.org>  Sun, 18 Oct 2020 10:01:12 +0200

## links2 2.22.1

=== debian/changelog ===
links2 (2.22.1-1.0antix1) unstable; urgency=medium

  * antiX buster build

 -- anticapitalista <antix@operamail.com>  Fri, 19 Mar 2021 17:50:08 +0200

## links2 2.23

=== debian/changelog ===
links2 (2.23-0.1~mx21+1) mx; urgency=medium

  * Import new upstream bugfix release 2.23.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 23 May 2021 20:52:32 -0700

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                libxt-dev,
                libzstd-dev,
                publicsuffix
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: http://links.twibright.com/
 Vcs-Browser: https://salsa.debian.org/debian/links2
 Vcs-Git: https://salsa.debian.org/debian/links2.git

## links2 2.24

=== debian/changelog ===
links2 (2.24-1.0antix1) unstable; urgency=medium

  * antiX builds 

 -- anticapitalista <antix@operamail.com>  Thu, 16 Sep 2021 20:09:21 +0300

links2 (2.23-1) unstable; urgency=medium

  * New upstream release 2.23.
    + Suggest mc for optional usage of Midnight Commander's cons.saver.
    + Extend lintian overrides for some words in the Spanish translation.
  * Bump debian/watch version to 4.
  * Declare compliance with Debian Policy 4.5.1. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Sun, 15 Aug 2021 15:20:56 +0200

## links2 2.25

=== debian/changelog ===
links2 (2.25-1build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Mon, 29 Nov 2021 16:02:07 +0100

links2 (2.25-1) unstable; urgency=medium

  * New upstream bug fix release 2.25.

 -- Axel Beckert <abe@debian.org>  Mon, 11 Oct 2021 00:23:00 +0200

links2 (2.24-1) unstable; urgency=medium

  * New upstream release 2.24.
    + Refresh patches as necessary.
  * Declare compliance with Debian Policy 4.6.0. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Fri, 17 Sep 2021 21:42:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: links2
 Section: web
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Axel Beckert <abe@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-exec,
                libbrotli-dev,
                libbz2-dev,
@@ -26,7 +25,7 @@
                libxt-dev,
                libzstd-dev,
                publicsuffix
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: http://links.twibright.com/
 Vcs-Browser: https://salsa.debian.org/debian/links2
 Vcs-Git: https://salsa.debian.org/debian/links2.git
@@ -36,8 +35,11 @@
 Architecture: any
 Multi-Arch: foreign
 Provides: www-browser
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: ca-certificates, xterm | x-terminal-emulator
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: ca-certificates,
+            xterm | x-terminal-emulator
+Suggests: mc
 Built-Using: ${Built-Using}
 Description: Web browser running in both graphics and text mode
  Links is a graphics and text mode WWW browser, similar to Lynx. It displays
@@ -50,8 +52,10 @@
 Architecture: any
 Multi-Arch: foreign
 Provides: www-browser
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: ca-certificates
+Suggests: mc
 Built-Using: ${Built-Using}
 Description: Web browser running in text mode
  Links is a text mode WWW browser, similar to Lynx. It displays tables,

=== debian/rules ===
--- 
+++ 
@@ -51,6 +51,3 @@
 
 override_dh_gencontrol:
 	dh_gencontrol -a -- -VBuilt-Using="$(BUILT_USING)"
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## links2 2.26

=== debian/changelog ===
links2 (2.26-1) unstable; urgency=medium

  * New feature (and bug fix) upstream release 2.26.
    + Refresh patches as necessary.
    + Add build-dependency on libwebp-dev and pkg-config.
    + Disable WEBP support in text-only package "links".
  * Update copyright years in debian/copyright. Thanks Lintian!

 -- Axel Beckert <abe@debian.org>  Sun, 17 Apr 2022 23:36:42 +0200

=== debian/control ===
--- 
+++ 
@@ -19,11 +19,13 @@
                libsdl1.2-dev,
                libssl-dev,
                libtiff-dev,
+               libwebp-dev,
                libx11-dev,
                libxau-dev,
                libxdmcp-dev,
                libxt-dev,
                libzstd-dev,
+               pkg-config,
                publicsuffix
 Standards-Version: 4.6.0
 Homepage: http://links.twibright.com/

## links2 2.27

=== debian/changelog ===
links2 (2.27-1build1) kinetic; urgency=medium

  * No-change rebuild against libevent-2.1-7a (LP: #1990941)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 07 Oct 2022 19:53:24 +0200

links2 (2.27-1) unstable; urgency=medium

  * New minor updates upstream release 2.27.
    + Updated Turkish translation.
    + Allow the user to specify a numeric IPv6 address in the
      dns-over-https box.
  * Declare compliance with Debian Policy 4.6.1. (No changes needed.)
  * Update lintian overrides to new format.
  * Add some lintian overrides for obvious false positives of
    very-long-line-length-in-source-file.

 -- Axel Beckert <abe@debian.org>  Wed, 22 Jun 2022 03:42:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: links2
 Section: web
 Priority: optional
-Maintainer: Axel Beckert <abe@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Axel Beckert <abe@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                libbrotli-dev,
@@ -27,7 +28,7 @@
                libzstd-dev,
                pkg-config,
                publicsuffix
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: http://links.twibright.com/
 Vcs-Browser: https://salsa.debian.org/debian/links2
 Vcs-Git: https://salsa.debian.org/debian/links2.git

## links2 2.28

=== graphics/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CFLAGS=-g -Wall -O2
+CFLAGS=-g -Wall -Wno-pointer-sign -O2
 #-Wno-pointer-sign
 LDFLAGS=

=== debian/changelog ===
links2 (2.28-1) unstable; urgency=medium

  * New minor updates upstream release 2.28.
    + Disable cache when following redirects from consent.google.com.
    + Fix a display glitch on framebuffer under some circumstances.
    + Refresh patches where needed.
  * Add lintian overrides for very-long-line-length-in-source-file
    generated from sources and scripts included in the upstream sources as
    well.

 -- Axel Beckert <abe@debian.org>  Sun, 20 Nov 2022 22:20:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: links2
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Axel Beckert <abe@debian.org>
+Maintainer: Axel Beckert <abe@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                libbrotli-dev,

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,8 @@
 		--without-directfb \
 		--without-libjpeg \
 		--without-librsvg \
-		--without-libtiff
+		--without-libtiff \
+		--without-libwebp
 
 override_dh_auto_install:
 	dh_auto_install -Bbuild-links2

## links2 2.29

=== debian/changelog ===
links2 (2.29-2) unstable; urgency=medium

  * Team upload, Debian namespace.

  [ Pino Toscano ]
  * Disable the DirectFB support, as DirectFB is in practice dead and no more
    supported: (Closes: #1083042)
    - drop the libdirectfb-dev build dependency
    - replace the --with-fb configure flag with --without-fb when building the
      graphical version
    - since now there is no other graphical backend than X, the dependencies
      are correct, and there is no need for package splits; hence
      closes: #322995, #638383

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 15 Dec 2024 23:00:36 +0100

links2 (2.29-1) unstable; urgency=medium

  * New upstream release 2.29.
    + Add libavif-dev as build-dependency.
    + Build text-only version without AVIF support.
    + Refresh x-terminal-emulator-instead-of-xterm.diff.
  * Replace some transitional build-dependencies:
    + libfontconfig1-dev → libfontconfig-dev
    + libfreetype6-dev → libfreetype-dev
  * Declare compliance with Debian Policy 4.6.2. (No changes needed.)
  * Drop lintian overrides for no more emitted warnings.
  * Bump copyright years in debian/copyright. Thanks Lintian!
  * Add another lintian override for very-long-line-length-in-source-file.

 -- Axel Beckert <abe@debian.org>  Wed, 14 Jun 2023 13:12:17 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Axel Beckert <abe@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
+               libavif-dev,
                libbrotli-dev,
                libbz2-dev,
-               libdirectfb-dev,
                libevent-dev,
-               libfontconfig1-dev,
-               libfreetype6-dev,
+               libfontconfig-dev,
+               libfreetype-dev,
                libgpm-dev [linux-any],
                libjpeg-dev,
                liblz-dev,
@@ -27,7 +27,7 @@
                libzstd-dev,
                pkg-config,
                publicsuffix
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: http://links.twibright.com/
 Vcs-Browser: https://salsa.debian.org/debian/links2
 Vcs-Git: https://salsa.debian.org/debian/links2.git

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	env PKG_CONFIG=`which pkg-config` dh_auto_configure -Bbuild-links2 -- \
 		--enable-graphics \
 		--with-x \
-		--with-fb
+		--without-fb
 
 #	build the textmode only version
 	env PKG_CONFIG=`which pkg-config` dh_auto_configure -Bbuild-links -- \
@@ -34,6 +34,7 @@
 		--without-libjpeg \
 		--without-librsvg \
 		--without-libtiff \
+		--without-libavif \
 		--without-libwebp
 
 override_dh_auto_install:

=== debian/watch ===
version=4
opts=uversionmangle=s/pre/~pre/ \
http://links.twibright.com/download/ links-([\d\.a-z]+)\.tar\.(?:bz2|gz)
